<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/net/socket.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/dfc/socket_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">socket.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../da/dfc/socket_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef NET_SOCKET_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define NET_SOCKET_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dd/d45/openthread_8h.html">openthread.h</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../dc/d02/ip6__address_8hpp.html">net/ip6_address.hpp</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">namespace </span>Ip6 {</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">   54</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">MessageInfo</a>: <span class="keyword">public</span> <a class="code" href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;{</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8">   63</a></span>&#160;    <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8">GetSockAddr</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;<a class="code" href="../../dd/d76/structotMessageInfo.html#a2fcb46a2a2e321c92c519035d72944e4">mSockAddr</a>);}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#ad85781c5444fe75103ab0bbd2b6e01ec">   71</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#ad85781c5444fe75103ab0bbd2b6e01ec">GetSockAddr</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><span class="keyword">const </span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;<a class="code" href="../../dd/d76/structotMessageInfo.html#a2fcb46a2a2e321c92c519035d72944e4">mSockAddr</a>);}</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072">   79</a></span>&#160;    <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072">GetPeerAddr</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;<a class="code" href="../../dd/d76/structotMessageInfo.html#a44b97257686b6f5fba5afa13b05cc259">mPeerAddr</a>);}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a26181d49ce33edbf5a8c4bd3a6364887">   87</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a26181d49ce33edbf5a8c4bd3a6364887">GetPeerAddr</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><span class="keyword">const </span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;<a class="code" href="../../dd/d76/structotMessageInfo.html#a44b97257686b6f5fba5afa13b05cc259">mPeerAddr</a>);}</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">   94</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">SockAddr</a>: <span class="keyword">public</span> <a class="code" href="../../d3/d28/structotSockAddr.html">otSockAddr</a></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;{</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a87f5eb3dd8b150de6cc6dcb9aa868a84">  101</a></span>&#160;    <a class="code" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a87f5eb3dd8b150de6cc6dcb9aa868a84">SockAddr</a>(<span class="keywordtype">void</span>) { memset(&amp;mAddress, 0, <span class="keyword">sizeof</span>(mAddress)), mPort = 0, mScopeId = 0; }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f">  109</a></span>&#160;    <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f">GetAddress</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;mAddress); }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a658e36ec5e40f250810e42bc8f12d34e">  117</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;<a class="code" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a658e36ec5e40f250810e42bc8f12d34e">GetAddress</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> *<span class="keyword">static_cast&lt;</span><span class="keyword">const </span><a class="code" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> *<span class="keyword">&gt;</span>(&amp;mAddress); }</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;};</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;}  <span class="comment">// namespace Ip6</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#endif  // NET_SOCKET_HPP_</span></div><div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></div><div class="ttdoc">This class implements message information for an IPv6 message. </div><div class="ttdef"><b>Definition:</b> socket.hpp:54</div></div>
<div class="ttc" id="ip6__address_8hpp_html"><div class="ttname"><a href="../../dc/d02/ip6__address_8hpp.html">ip6_address.hpp</a></div><div class="ttdoc">This file includes definitions for IPv6 addresses. </div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html_a794b87e17aa877f3551c00aa8c892072"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a794b87e17aa877f3551c00aa8c892072">Thread::Ip6::MessageInfo::GetPeerAddr</a></div><div class="ttdeci">Address &amp; GetPeerAddr(void)</div><div class="ttdoc">This method returns a reference to the peer socket address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:79</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html_a97e94677a677f600a227dd970f4a02e8"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a97e94677a677f600a227dd970f4a02e8">Thread::Ip6::MessageInfo::GetSockAddr</a></div><div class="ttdeci">Address &amp; GetSockAddr(void)</div><div class="ttdoc">This method returns a reference to the local socket address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:63</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html_a26181d49ce33edbf5a8c4bd3a6364887"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#a26181d49ce33edbf5a8c4bd3a6364887">Thread::Ip6::MessageInfo::GetPeerAddr</a></div><div class="ttdeci">const Address &amp; GetPeerAddr(void) const </div><div class="ttdoc">This method returns a reference to the peer socket address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:87</div></div>
<div class="ttc" id="structotSockAddr_html"><div class="ttname"><a href="../../d3/d28/structotSockAddr.html">otSockAddr</a></div><div class="ttdoc">This structure represents an IPv6 socket address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:892</div></div>
<div class="ttc" id="openthread_8h_html"><div class="ttname"><a href="../../dd/d45/openthread_8h.html">openthread.h</a></div><div class="ttdoc">This file defines the top-level functions for the OpenThread library. </div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1SockAddr_html_a87f5eb3dd8b150de6cc6dcb9aa868a84"><div class="ttname"><a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a87f5eb3dd8b150de6cc6dcb9aa868a84">Thread::Ip6::SockAddr::SockAddr</a></div><div class="ttdeci">SockAddr(void)</div><div class="ttdoc">This constructor initializes the object. </div><div class="ttdef"><b>Definition:</b> socket.hpp:101</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1MessageInfo_html_ad85781c5444fe75103ab0bbd2b6e01ec"><div class="ttname"><a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#ad85781c5444fe75103ab0bbd2b6e01ec">Thread::Ip6::MessageInfo::GetSockAddr</a></div><div class="ttdeci">const Address &amp; GetSockAddr(void) const </div><div class="ttdoc">This method returns a reference to the local socket address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:71</div></div>
<div class="ttc" id="structotMessageInfo_html"><div class="ttname"><a href="../../dd/d76/structotMessageInfo.html">otMessageInfo</a></div><div class="ttdoc">This structure represents the local and peer IPv6 socket addresses. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:902</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1SockAddr_html_a658e36ec5e40f250810e42bc8f12d34e"><div class="ttname"><a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a658e36ec5e40f250810e42bc8f12d34e">Thread::Ip6::SockAddr::GetAddress</a></div><div class="ttdeci">const Address &amp; GetAddress(void) const </div><div class="ttdoc">This method returns a reference to the IPv6 address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:117</div></div>
<div class="ttc" id="structotMessageInfo_html_a2fcb46a2a2e321c92c519035d72944e4"><div class="ttname"><a href="../../dd/d76/structotMessageInfo.html#a2fcb46a2a2e321c92c519035d72944e4">otMessageInfo::mSockAddr</a></div><div class="ttdeci">otIp6Address mSockAddr</div><div class="ttdoc">The local IPv6 address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:904</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1SockAddr_html"><div class="ttname"><a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">Thread::Ip6::SockAddr</a></div><div class="ttdoc">This class implements a socket address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:94</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="structotMessageInfo_html_a44b97257686b6f5fba5afa13b05cc259"><div class="ttname"><a href="../../dd/d76/structotMessageInfo.html#a44b97257686b6f5fba5afa13b05cc259">otMessageInfo::mPeerAddr</a></div><div class="ttdeci">otIp6Address mPeerAddr</div><div class="ttdoc">The peer IPv6 address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:905</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1SockAddr_html_a9f92ec4fbccf1d095aa8a43dd882dd2f"><div class="ttname"><a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#a9f92ec4fbccf1d095aa8a43dd882dd2f">Thread::Ip6::SockAddr::GetAddress</a></div><div class="ttdeci">Address &amp; GetAddress(void)</div><div class="ttdoc">This method returns a reference to the IPv6 address. </div><div class="ttdef"><b>Definition:</b> socket.hpp:109</div></div>
<div class="ttc" id="classThread_1_1Ip6_1_1Address_html"><div class="ttname"><a href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Thread::Ip6::Address</a></div><div class="ttdoc">This class implements an IPv6 address object. </div><div class="ttdef"><b>Definition:</b> ip6_address.hpp:56</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_73cb4d11b06c10448caf49ed02a351c4.html">net</a></li><li class="navelem"><a class="el" href="../../da/dfc/socket_8hpp.html">socket.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
